> ## Documentation Index
> Fetch the complete documentation index at: https://docs.posy.page/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a published page

> Read any published page as JSON



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/public/{username}
openapi: 3.1.0
info:
  title: Posy API
  version: '1'
  description: >-
    Make and edit a Posy link-in-bio page. Everything edits the draft until you
    call publish.
servers:
  - url: https://posy.page
    description: posy.page (or your own server)
security: []
paths:
  /api/v1/public/{username}:
    get:
      summary: Read a published page
      description: Read any published page as JSON
      operationId: read-a-published-page
      parameters:
        - name: username
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The published page

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.